Skip to content
Documentation

Gets all attributes

GET /repositories/{repository}/attributes

Gets all attributes in given repository

Name In Type Required Description
repository path string yes The repository in which to find attributes.
description query string no Description of the attribute
name query string no Name of the attribute
order query string[] no Specifies one or more orderings for the results.

The value should consist of the property by which to order and the direction separated by a comma.
If no direction is specified, it defaults to unspecified and may depend on where exactly the results are retrieved from.

Available properties to order by:
* name
* description
* type Enum: name, name,unspecified, name,ascending, name,descending, description, description,unspecified, description,ascending, description,descending, type, type,unspecified, type,ascending, type,descending
type query string no The type of the attribute
Range header string (attribute=0-99) no Specifies the range that should be returned.
Format: attribute=[<range-start>]-[<range-end>]

Example values:
* Retrieve the first eleven items: attribute=-10
* Retrieve items number 6 through 11: attribute=5-10
* Retrieve all items starting at the fourth: attribute=3-
* Retrieve the first item: attribute=0-0

Note that the first example behaves slightly different from the specification. Not specifying a range-start is the same as specifying 0 as the start of the range.
For performance reasons, there is currently no method for retrieving the last n items of the result.

In addition, multiple ranges for the same unit in one requests are currently not supported.
Code Description Type
200 A list of available attributes (SuccessOfResolvedAttributeReferenceOfInt32 | Failure)[]
404 Indicates that the given repository does not exist ProblemDetails
416 Indicates that the request failed due to an invalid range request being made. Make sure the ‘Range’ header is correct. ProblemDetails
4XX Indicates that the request failed due to a client error. Please refer to the details provided in the body of the response in order to ensure that the request can be handled properly. ProblemDetails
5XX Indicates that the request failed due to an error that occurred on the server. Consider reporting this error to the server operators. ProblemDetails

Headers

Header Type Description
Accept-Ranges string Lists the units for which ranges may be specified.
[
{
"$successful": true,
"value": {
"storageInformation": {
"repositoryName": "string"
},
"identifier": 0,
"value": {
"name": "string",
"description": "string",
"type": {
"storageInformation": {},
"identifier": 0
}
}
}
}
]

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}

Headers

Header Type Description
Accept-Ranges string Lists the units for which ranges may be specified.

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}
© 2026 Volue.Version v0.6.38017 November 2026